/******************************************************************************
 * Copyright 2004, 2005 Alex Karev.
 *
 * This file is part of gtkpivo library.
 *
 * gtkpivo library is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation version 2.1 of the License.
 *
 * gtkpivo library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with gtkpivo library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 ******************************************************************************/
#ifndef __GTK_LED_
#define __GTK_LED_

#include <gtk/gtk.h>
#include <gdk/gdk.h>

G_BEGIN_DECLS

#define GTK_LED(obj)          GTK_CHECK_CAST (obj, gtk_led_get_type (), GtkLed)
#define GTK_LED_CLASS(klass)  GTK_CHECK_CLASS_CAST (klass, gtk_led_get_type (), GtkLed)
#define GTK_IS_LED(obj)       GTK_CHECK_TYPE (obj, gtk_led_get_type ())

typedef enum {
	GTK_LED_ON,
	GTK_LED_OFF
} GtkLedState;

typedef struct _GtkLed        GtkLed;
typedef struct _GtkLedClass   GtkLedClass;

struct _GtkLed
{
	GtkWidget widget;
	
	GtkAdjustment *adj;

	GdkGC *red_gc, *green_gc, *yellow_gc, *blue_gc;
	GdkGC *line_gc;

	PangoFontDescription *font_label, *font_val;
	PangoLayout *layout_val;

	gchar *label;

	gint state :1;
};

struct _GtkLedClass
{
	  GtkWidgetClass parent_class;
};

GtkWidget* gtk_led_new(GtkAdjustment *adj, const gchar *label );
GtkType        	gtk_led_get_type               (void);
GtkAdjustment*	gtk_led_get_adjustment(GtkLed *led);
void gtk_led_set_adjustment(GtkLed *led,
		GtkAdjustment *adj);

G_END_DECLS


#endif
/* vim: set ts=4 sw=4 : */
